import { h } from "@stencil/core";
import { table, tableRow, tableFoot, tableFootRow, tableFootCell, tableHead, tableHeadRow } from "../../styles/parts";
export const TableWrapper = (props, children) => {
    return (h("div", Object.assign({ class: "table-wrapper", part: "table-wrapper" }, props), children));
};
export const TableComponent = (props, children) => {
    return (h("table", Object.assign({ class: "table table-hover", part: table }, props), children));
};
export const TableBody = (props, children) => {
    return (h("tbody", Object.assign({ class: "table-body" }, props), children));
};
export const TableRow = (props, children) => {
    return (h("tr", Object.assign({ part: tableRow }, props), children));
};
export const TableHead = (props, children) => {
    return (h("thead", Object.assign({ class: "table-head sticky-top", part: tableHead }, props), children));
};
export const TableHeadRow = (props, children) => {
    return (h("tr", Object.assign({ class: "table-light text-nowrap", part: tableHeadRow }, props), children));
};
export const TableFoot = (props, children) => {
    return (h("tfoot", Object.assign({ class: "sticky-bottom", part: tableFoot }, props), children));
};
export const TableFootRow = (props, children) => {
    return (h("tr", Object.assign({ class: "table-light align-middle", part: tableFootRow }, props), children));
};
export const TableFootCell = (props, children) => {
    return (h("td", Object.assign({ part: tableFootCell }, props), children));
};
